# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos
Interface CommentData

All Superinterfaces:
  Extensible, GphotoData

All Known Implementing Classes:
  CommentDataImpl, CommentEntry

    public interface CommentData

extends GphotoData

Shared comment data object, this contains all setters/getters of fields that are specific to a comment. Currently comments must have both an albumid and a photoid when created, as we don't yet allow comments on an album by itself. The actual content of the comment should be set using the `BaseEntry.setContent(TextConstruct)` method.

Field Summary
`static Category` `COMMENT_CATEGORY` A category object for comments.
`static java.lang.String` `COMMENT_KIND` The fully qualified kind term for comments.
`static java.lang.String` `KIND` The unqualified kind for a comment.

Method Summary
`java.lang.String` `getAlbumId()` Gets the albumid of the album the comment is contained in.
`java.lang.String` `getPhotoId()` Gets the id of the photo this comment is about.
`void` `setAlbumId(java.lang.Long albumId)` Set the albumId of the album this comment is contained in.
`void` `setAlbumId(java.lang.String albumId)` Set the albumId by string for the album the comment is on.
`void` `setPhotoId(java.lang.Long photoId)` Set the photoId for the photo this comment is on.
`void` `setPhotoId(java.lang.String photoId)` Set the photoId as a string for the photo this comment is on.

Methods inherited from interface com.google.gdata.data.photos.GphotoData
`getGphotoId, setGphotoId, setGphotoId`

Methods inherited from interface com.google.gdata.data.photos.Extensible
`addExtension, addRepeatingExtension, declareExtensions, removeExtension, removeExtension, removeRepeatingExtension, setExtension`

Field Detail

### KIND

    static final java.lang.String KIND

  The unqualified kind for a comment.

  See Also:
    Constant Field Values

### COMMENT_KIND

    static final java.lang.String COMMENT_KIND

  The fully qualified kind term for comments.

  See Also:
    Constant Field Values

### COMMENT_CATEGORY

    static final Category COMMENT_CATEGORY

  A category object for comments. All comments will have this set.

Method Detail

### getAlbumId

    java.lang.String getAlbumId()

  Gets the albumid of the album the comment is contained in.

  Returns:
    the albumId of the album this comment is on.

### setAlbumId

    void setAlbumId(java.lang.Long albumId)

  Set the albumId of the album this comment is contained in.

  Parameters:
    `albumId` - the albumId of the comment.

### setAlbumId

    void setAlbumId(java.lang.String albumId)

  Set the albumId by string for the album the comment is on.

  Parameters:
    `albumId` - the albumId of the comment.

### getPhotoId

    java.lang.String getPhotoId()

  Gets the id of the photo this comment is about.

  Returns:
    the photoId of the photo this comment is on.

### setPhotoId

    void setPhotoId(java.lang.Long photoId)

  Set the photoId for the photo this comment is on.

  Parameters:
    `photoId` - the photoId of the comment.

### setPhotoId

    void setPhotoId(java.lang.String photoId)

  Set the photoId as a string for the photo this comment is on.

  Parameters:
    `photoId` - the photoId of the comment.